%global pkgname insights-core
%global shortname insights
%global mainversion 3.0.100
%global subversion 974

Name:		%{pkgname}
Version:	%{mainversion}.%{subversion}
Release:	1%{?dist}
Summary:	insights-core

License:	ASL 2.0
URL:		https://github.com/RedHatInsights/insights-core
Source0:        https://github.com/RedHatInsights/insights-core/archive/%{pkgname}-%{mainversion}-%{subversion}.tar.gz

BuildArch:	noarch

%description
insights-core

%package -n python2-%{pkgname}
Summary:	insights-core python 2
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
Requires:	python2-pyyaml >= 3.10
Requires:	python2-pyyaml <= 3.13
Requires:	python2-requests
Requires:	python2-redis
Requires:	python2-cachecontrol
Requires:	python-six
Requires:	python-lockfile

%description -n python2-%{pkgname}
Insights-core
Python 2 version.

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:	insights-core python 3
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
Requires:	python%{python3_pkgversion}-pyyaml >= 3.10
Requires:	python%{python3_pkgversion}-pyyaml <= 3.13
Requires:	python%{python3_pkgversion}-requests
Requires:	python%{python3_pkgversion}-redis
Requires:	python%{python3_pkgversion}-cachecontrol
Requires:	python-six
Requires:	python-lockfile

%description -n python%{python3_pkgversion}-%{pkgname}
Insights-core
Python 3 version.

%prep
%autosetup -n %{pkgname}-%{pkgname}-%{mainversion}-%{subversion}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pkgname}
%{_bindir}/client
%{_bindir}/gen_api
%{_bindir}/insights-cat
%{_bindir}/insights-collect
%{_bindir}/insights-info
%{_bindir}/insights-inspect
%{_bindir}/insights-perf
%{_bindir}/insights-run
%{_bindir}/mangle
%{python2_sitelib}/%{shortname}_core-*.egg-info/
%{python2_sitelib}/%{shortname}/
%{python2_sitelib}/examples

%files -n python%{python3_pkgversion}-%{pkgname}
%{_bindir}/client
%{_bindir}/gen_api
%{_bindir}/insights-cat
%{_bindir}/insights-collect
%{_bindir}/insights-info
%{_bindir}/insights-inspect
%{_bindir}/insights-perf
%{_bindir}/insights-run
%{_bindir}/mangle
%{python3_sitelib}/%{shortname}_core-*.egg-info/
%{python3_sitelib}/%{shortname}/
%{python3_sitelib}/examples

%changelog
* Thu May 23 2019 Dylan Stephano-Shachter<dshachter@nsauni.com> - 3.0.99-969-1
- Initial package

